---
obj: application
os: linux
repo: https://github.com/ismaelgv/rnr
---
# rnr
[Repo](https://github.com/ismaelgv/rnr)
**RnR** is a command-line tool to **securely rename** multiple files and directories that supports regular expressions.

## Usage
Flags
```shell
-n, --dry-run         Only show what would be done (default mode)
-f, --force           Make actual changes to files
-x, --hidden          Include hidden files and directories
-D, --include-dirs    Rename matching directories
-r, --recursive       Recursive mode
-s, --silent          Do not print any information
--no-dump             Do not dump operations into a file
```